Subject: [PATCH 00/17] gtp: fixes and support multiple VRF's per GTP socket

From: Andreas Schultz <[email-masked]>
Date: Mon, 23 Jan 2017 12:56:49 +0100

The current linking of GTP network devices and GTP enabled sockets means that
we can not have multiple VRF's per GTP socket. This series seperates the
sockets from network device, makes sockets attached to GTP network device
optional and adds a API function to enable GTP encapsulation on socket
without having to create a new GTP device.

It is still possible to use the old API. The network device attached socket is
then used when no socket is specified on PDP context creation.

During that work some smaller problems where found and fixes for them are
included.

Regards
Andreas